package data_manage_permission

// SetDataIsPermissionReq
// @Description: 设置数据分类权限请求
type SetDataIsPermissionReq struct {
	Source         int   `description:"来源id"`
	SubSource      int   `description:"子来源id"`
	ClassifyIdList []int `description:"指标/图表/表格分类唯一id列表，如果为空，说明要给这些指标移除权限管控"`
}

// SetEdbChartPermissionReq
// @Description: 设置数据权限请求
type SetEdbChartPermissionReq struct {
	Source       int      `description:"来源id"`
	SubSource    int      `description:"子来源id"`
	UserId       int      `description:"用户筛选"`
	DataIdList   []string `description:"指标/图表/表格唯一id列表"`
	NoDataIdList []string `description:"指标/图表/表格唯一id列表"`
	UserList     []int    `description:"赋权用户id列表，如果为空，说明要给这些指标移除权限管控"`
	IsSelectAll  bool     `description:"是否选择所有指标"`
	ClassifyId   string   `description:"分类id，支持多选，用英文,隔开"`
	Keyword      string   `description:"关键字"`
}

// SetEdbChartClassifyPermissionReq
// @Description: 设置数据分类权限请求
type SetEdbChartClassifyPermissionReq struct {
	Source         int   `description:"来源id"`
	SubSource      int   `description:"子来源id"`
	UserList       []int `description:"赋权用户id列表，如果为空，说明要给这些数据分类移除权限管控"`
	ClassifyIdList []int `description:"指标/图表/表格分类唯一id列表"`
}
